%define name	ffmpeg
%define version	0.4.6
%define release	2mdk
%define major	0.4.6
%define lib	libffmpeg
%define libname	%{lib}%{major}

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 	 	Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildRequires:  libimlib2_1-devel
URL:		http://ffmpeg.sourceforge.net

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n %{libname}-devel
Group:          Development/C
Summary:        Header files and static library for the ffmpeg codec library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{lib}-devel = %{version}-%{release}

%description -n %{libname}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%prep
%setup -q
#don't call ldconfig on install
perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile

%build
export CFLAGS="%optflags"
./configure --prefix=%_prefix --enable-shared --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
# make installlib is broken in 0.4.6
# so doing it by hand.
install -m 644 libavcodec/libavcodec.a %buildroot%_libdir
# compat symlink
install -d %buildroot/%_libdir/libavcodec
pushd %buildroot/%_libdir/libavcodec && ln -sf ../libavcodec.a && popd
# fix doc containing CVS info.
rm -rf doc/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING Changelog INSTALL README VERSION doc
%{_bindir}/*
%_libdir/vhook/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/libavcodec/*a

%changelog
* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 0.4.6-2mdk
- put back %%_libdir/libavcodec/libavcodec.a compat symlink.
- add commentary about make installlib broken for the moment.

* Sat Jan  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.6-1mdk
- fix installation
- new version

* Sun Dec 15 2002 Yves Duret <yves@zarb.org> 0.4.6-0.20021209.2mdk
- use make installlib instead of doing it by hand.
- added a symlink %_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021209.1mdk
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot

* Mon Oct 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021028.1mdk
- latest CVS snapshot

* Mon Aug 19 2002 Han Boetes <han@linux-mandrake.com> 0.4.6-0.20020819.1mdk
- update a bit
- Minor cleanups

* Wed Jul 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020710.1mdk
- change the major to 0.4.6 
- new cvs snapshot

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.2mdk
- enabled mmx again, there is runtime detection (Gtz Waschk <waschk@linux-mandrake.com>)

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.1mdk
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries

* Sat May 18 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.6-0.20020417.4mdk
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).

* Wed May 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.3mdk
- fixed wrong release

* Wed May 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.2mdk
- added missing provides

* Wed Apr 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020417.1mdk
- update to CVS snapshot
- build shared library
- split package
- don't use %%configure, it's not an autoconf script
- add header files

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
        - removed ffserver, because it doesn't work according to the FAQ
        - initial package


# end of file
